#include "main.h"

#pragma udata myBuffer
char buf[512];
#pragma udata

void main(void)
{
		
	int i, timeout;
	char str[] = "Ein erster String!";
	eint8 csd[16];

	/* Configure baudrategenerator to use 16bit prescaler */
	baudUSART (BAUD_IDLE_CLK_HIGH &
			   BAUD_16_BIT_RATE &
			   BAUD_WAKEUP_ON &
			   BAUD_AUTO_OFF);

	/* Open USART for operation */
	OpenUSART( USART_TX_INT_OFF &
				USART_RX_INT_OFF &
				USART_ASYNCH_MODE &		
				USART_EIGHT_BIT &
				USART_CONT_RX &
				USART_BRGH_HIGH,
				129 );

	
	if(initInterface())
		while(1);

	strcpy((char*)&buf, (const char*)&str);

	if(!SD_WriteBlock(0x00, (eint8*)&buf))
		printf((rom char*)"Send block successfully...\n\r");
	else{
		printf((rom char*)"An error ocurred while sending the data...\n\r");
		while(1);
	}
	
	for(i = 0; i < 512; i++)
		buf[i] = 0;

	Delay10KTCYx(10);

	if(!SD_ReadBlock(0x00, (eint8*)&buf))
		printf((rom char*)"String received: %s.\n\r", &buf);
	else{
		printf((rom char*)"Read failed. Received: %s.\n\r", &buf);
		while(1);
	}


	if(!SD_ReadCSD((eint8*)&csd))
		for(i = 0; i < CSD_SIZE; i++){
			printf((rom char*)"%d. %#08B -> %d\n\r", i,csd[i], csd[i]);
		}
	else
		printf((rom char*)"Failed reading the CSD\r\n");

	while(1);
}
