/*****************************************************************************\
*              efs - General purpose Embedded Filesystem library              *
*          --------------------- -----------------------------------          *
*                                                                             *
* Filename : 	pic18f6680.h                                                  *
* Description : Headerfile the HW-Interfacefile pic18f6680.c                  *
* Compiler:		Microchip MCC18                                               *
*                                                                             *
*                                                        (c)2006 Martin Domke *
\*****************************************************************************/


#ifndef __PIC18F6680_SD_H_ 
#define __PIC18F6680_SD_H_ 

#include <p18f6680.h>
#include <stdio.h>
#include <spi.h>
#include <timers.h>
#include <delays.h>

#include "config.h"
#include "types.h"

#undef DATE_TIME_SUPPORT 
#define SD_CS PORTBbits.RB1
#define SD_CS_DIR TRISBbits.TRISB1
#define SD_WP PORTAbits.RA2
#define SD_WP_DIR TRISAbits.TRISA2

#define RTC_CS PORTDbits.RD7
#define RTC_CS_DIR TRISDbits.TRISD7

esint8 initInterface(void);

#include "sd.h"
#endif
